caoss.simulator.parser

## Class ParserTokenManager

- java.lang.Object
- - caoss.simulator.parser.ParserTokenManager

- All Implemented Interfaces:
    ParserConstants

      public class ParserTokenManager
      extends java.lang.Object
      implements ParserConstants

  Token Manager.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.io.PrintStream` | `debugStream` Debug output.
    `static java.lang.String[]` | `jjstrLiteralImages` Token literal values.
    `static java.lang.String[]` | `lexStateNames` Lexer state names.

    - ### Fields inherited from interface caoss.simulator.parser.ParserConstants

      `COMPUTATION, DECIMAL_LITERAL, DEFAULT, EOF, HEX_LITERAL, IDENTIFIER, LETTER, LOOP, MEM_LOAD, MEM_STORE, PART_LETTER, SYSCALL, tokenImage`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParserTokenManager(SimpleCharStream stream)` Constructor.
    `ParserTokenManager(SimpleCharStream stream, int lexState)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Token` | `getNextToken()` Get the next Token.
    `void` | `ReInit(SimpleCharStream stream)` Reinitialise parser.
    `void` | `ReInit(SimpleCharStream stream, int lexState)` Reinitialise parser.
    `void` | `setDebugStream(java.io.PrintStream ds)` Set debug output.
    `void` | `SwitchTo(int lexState)` Switch to specified lex state.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### debugStream

          public java.io.PrintStream debugStream

      Debug output.

    - #### jjstrLiteralImages

          public static final java.lang.String[] jjstrLiteralImages

      Token literal values.

    - #### lexStateNames

          public static final java.lang.String[] lexStateNames

      Lexer state names.

  - ### Constructor Detail

    - #### ParserTokenManager

          public ParserTokenManager(SimpleCharStream stream)

      Constructor.

    - #### ParserTokenManager

          public ParserTokenManager(SimpleCharStream stream,
                                    int lexState)

      Constructor.

  - ### Method Detail

    - #### setDebugStream

          public void setDebugStream(java.io.PrintStream ds)

      Set debug output.

    - #### ReInit

          public void ReInit(SimpleCharStream stream)

      Reinitialise parser.

    - #### ReInit

          public void ReInit(SimpleCharStream stream,
                             int lexState)

      Reinitialise parser.

    - #### SwitchTo

          public void SwitchTo(int lexState)

      Switch to specified lex state.

    - #### getNextToken

          public Token getNextToken()

      Get the next Token.